Page MenuHomePhabricator

Special:CheckUserLog is accessible while a user with checkuser-log right is blocked
Closed, ResolvedPublic

Description

Per T157883 blocked users are not allowed to run checkuser queries but Special:CheckUserLog is still accessible to them.

Event Timeline

Melos created this task.Nov 15 2018, 1:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 15 2018, 1:48 PM
Bawolff added subscribers: Huji, Bawolff.

Given the relative severity of this, I think it'd be ok to work on this in public.

Huji added a comment.Nov 15 2018, 10:31 PM

Melos, this patch looks good. Please post it publicly and I will +2 it. Like Brian, I think it is okay to work on this in public.

Melos added a comment.Nov 16 2018, 6:44 AM

Melos, this patch looks good. Please post it publicly and I will +2 it. Like Brian, I think it is okay to work on this in public.

Done. https://gerrit.wikimedia.org/r/474077

Platonides closed this task as Resolved.Nov 20 2018, 11:05 PM
Bawolff changed the visibility from "Custom Policy" to "Public (No Login Required)".Dec 10 2018, 10:46 AM